Subject: bug#31737: 26.1.50; Gnus does not use mailutils movemail

From: Robert Pluim <[email-masked]>
Date: Wed, 06 Jun 2018 21:55:20 +0200

Colin Baxter <[email-masked]> writes:

>>>>>> "Robert" == Robert Pluim <[email-masked]> writes:
>
>     Robert> Gnus should probably look in at least exec-path for movemail
>     Robert> (after exec-directory). One way to do this would be to
>     Robert> change the default value of `mail-source-movemail-program to
>     Robert> be' (executable-find "movemail"), but that has the risk of
>     Robert> silently switching emacs to using mailutils' movemail
>     Robert> instead of the emacs one.
>
>     Robert> Also, mailutils' movemail has a '--emacs' flag which rmail
>     Robert> uses. Itʼs not immediately obvious to me if gnus should do
>     Robert> the same or not.
>
> I don't know whether my input will be relevant, but here goes.
>

I think itʼs very relevant.

> I use gnus and have had no trouble with movemail. In emacs-26.1 I
> compiled using ./configure --with-mailutils and in my ~/.emacs I point
> the mail-source-movemail-program to "/usr/bin/movemail". Everything
> works fine.

So it looks like the --emacs flag is not necessary, which means we
could just change the default of mail-source-movemail-progam. [1]

Robert

Footnotes: 
[1]  Eli, 26.2? This is an emacs-26 regression